Name:           python-bugzilla
Version:        3.2.0
Release:    1%{?dist}
Summary:        Python library for interacting with Bugzilla

License:        GPLv2+
URL:            https://github.com/python-bugzilla/python-bugzilla
Source0:        https://github.com/python-bugzilla/python-bugzilla/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-build_update-don-t-convert-blocks-or-depends-to-int.patch
BuildArch:      noarch

BuildRequires: python3-devel
BuildRequires: glibc-langpack-en

%global _description\
python-bugzilla is a python library for interacting with bugzilla instances\
over XMLRPC or REST.\

%description %_description


%package -n python3-bugzilla
Summary: %summary
Requires: python3-requests
%{?python_provide:%python_provide python3-bugzilla}


%description -n python3-bugzilla %_description


%package cli
Summary: Command line tool for interacting with Bugzilla
Requires: python3-bugzilla = %{version}-%{release}

%description cli
This package includes the 'bugzilla' command-line tool for interacting with bugzilla. Uses the python-bugzilla API



%prep
%autosetup -p1



%generate_buildrequires
%pyproject_buildrequires -t



%build
%pyproject_wheel



%install
%pyproject_install
%pyproject_save_files bugzilla


%check
%tox



%files -n python3-bugzilla -f %{pyproject_files}
%doc README.md NEWS.md


%files cli
%{_bindir}/bugzilla
%{_mandir}/man1/bugzilla.1.gz


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-1
- initial build
